This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 459709 - iwlwifi-5000 + NetworkManager invoke oom-killer
iwlwifi-5000 + NetworkManager invoke oom-killer
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-08-21 10:51 EDT by Edouard Bourguignon
Modified: 2008-09-02 15:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-02 15:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2008-08-21 10:51:16 EDT
Description of problem:
Installing the iwlwifi-5000 firmware seems to crash the kernel when NetworkManager start.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.244.rc2.git1.fc10.x86_64

How reproducible:
Kernel oops seem statics, the effects vary, sometimes the computer hangs, sometimes Network-Manager is just killed and the boot process go on. No wireless connection of course, haven't try without NM.

Steps to Reproduce:
1. cp iwlwifi-5000-1.ucode /lib/firmware
2. reboot
3. crash when NM starts
  
Actual results:
Aug 21 07:58:34 localhost kernel:<6>firmware: requesting iwlwifi-5000-1.ucode
Aug 21 07:58:35 localhost kernel:<4>NetworkManager invoked oom-killer: gfp_mask=0x40d1, order=0, oomkilladj=0
Aug 21 07:58:35 localhost kernel:<4>Pid: 2215, comm: NetworkManager Not tainted 2.6.27-0.244.rc2.git1.fc10.x86_64 #1
Aug 21 07:58:35 localhost kernel:<4>
Aug 21 07:58:35 localhost kernel:<4>Call Trace:
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8109edd1>] oom_kill_process+0x62/0x1fd
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8109f14e>] ? badness+0x1ae/0x1f4
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8109f412>] out_of_memory+0x27e/0x2c0
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810a2cc9>] __alloc_pages_internal+0x3f2/0x4b5
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810c0f2c>] alloc_pages_current+0xbe/0xc7
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810c8a1d>] alloc_slab_page+0x1e/0x6e
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810c8adb>] new_slab+0x6e/0x1cb
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810c91cd>] __slab_alloc+0x267/0x3eb
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa019edfe>] ? iwl_txq_ctx_reset+0x137/0x3f1 [iwlcore]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa019edfe>] ? iwl_txq_ctx_reset+0x137/0x3f1 [iwlcore]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810ca572>] __kmalloc+0xbc/0x111
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa019edfe>] iwl_txq_ctx_reset+0x137/0x3f1 [iwlcore]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa0197681>] iwl_hw_nic_init+0x116/0x139 [iwlcore]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa01c14a1>] __iwl4965_up+0x125/0x305 [iwlagn]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa01c22c4>] iwl4965_mac_start+0xbeb/0xe98 [iwlagn]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81065afe>] ? trace_hardirqs_on_caller+0x10f/0x133
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81065b2f>] ? trace_hardirqs_on+0xd/0xf
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa012c8c5>] ? ieee80211_open+0x0/0x573 [mac80211]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffffa012cb1d>] ieee80211_open+0x258/0x573 [mac80211]
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81010164>] ? mcount_call+0x5/0x31
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff812973d4>] ? eth_validate_addr+0x0/0x3d
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81287d7f>] dev_open+0x8b/0xcc
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff812876af>] dev_change_flags+0xb0/0x173
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8128f304>] do_setlink+0x291/0x353
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8130ce66>] ? _read_unlock+0x2b/0x30
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8128f4d6>] rtnl_setlink+0x110/0x112
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8129046a>] rtnetlink_rcv_msg+0x1c9/0x1e7
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff812902a1>] ? rtnetlink_rcv_msg+0x0/0x1e7
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff812a17b6>] netlink_rcv_skb+0x43/0x95
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81290298>] rtnetlink_rcv+0x2e/0x37
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff812a133a>] netlink_unicast+0x119/0x182
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff812a1606>] netlink_sendmsg+0x263/0x276
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81279649>] __sock_sendmsg+0x5e/0x67
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81279ff2>] sock_sendmsg+0xcc/0xe5
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81058579>] ? autoremove_wake_function+0x0/0x3d
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81058579>] ? autoremove_wake_function+0x0/0x3d
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8127aabb>] ? move_addr_to_kernel+0x45/0x4e
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81281d2f>] ? verify_iovec+0x54/0x95
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8127a1e2>] sys_sendmsg+0x1d7/0x241
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff812798f3>] ? sockfd_lookup_light+0x20/0x59
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8127aba8>] ? sys_sendto+0xe4/0x10c
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810dfe12>] ? d_free+0x53/0x6c
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff810d04c1>] ? __fput+0x166/0x173
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff81065afe>] ? trace_hardirqs_on_caller+0x10f/0x133
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8108992e>] ? audit_syscall_entry+0x106/0x13a
Aug 21 07:58:35 localhost kernel:<4> [<ffffffff8101034a>] system_call_fastpath+0x16/0x1b
Aug 21 07:58:35 localhost kernel:<4>
Aug 21 07:58:35 localhost kernel:<6>Mem-Info:
Aug 21 07:58:35 localhost kernel:<4>Node 0 DMA per-cpu:
Aug 21 07:58:35 localhost kernel:<4>CPU    0: hi:    0, btch:   1 usd:   0
Aug 21 07:58:35 localhost kernel:<4>CPU    1: hi:    0, btch:   1 usd:   0
Aug 21 07:58:35 localhost kernel:<4>Node 0 DMA32 per-cpu:
Aug 21 07:58:35 localhost kernel:<4>CPU    0: hi:  186, btch:  31 usd:  38
Aug 21 07:58:35 localhost kernel:<4>CPU    1: hi:  186, btch:  31 usd:  29
Aug 21 07:58:35 localhost kernel:<4>Active:9778 inactive:7418 dirty:268 writeback:1 unstable:0
Aug 21 07:58:35 localhost kernel:<4> free:712751 slab:16608 mapped:3157 pagetables:698 bounce:0
Aug 21 07:58:35 localhost kernel:<4>Node 0 DMA free:24kB min:4kB low:4kB high:4kB active:0kB inactive:0kB present:2036kB pages_scanned:0 all_unreclaimable? no
Aug 21 07:58:35 localhost kernel:<4>lowmem_reserve[]: 0 2979 2979 2979
Aug 21 07:58:35 localhost kernel:<4>Node 0 DMA32 free:2850980kB min:6980kB low:8724kB high:10468kB active:39112kB inactive:29672kB present:3050936kB pages_scanned:0 all_unreclaimable? no
Aug 21 07:58:35 localhost kernel:<4>lowmem_reserve[]: 0 0 0 0
Aug 21 07:58:35 localhost kernel:<4>Node 0 DMA: 0*4kB 0*8kB 0*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 0kB
Aug 21 07:58:35 localhost kernel:<4>Node 0 DMA32: 835*4kB 547*8kB 265*16kB 63*32kB 18*64kB 12*128kB 11*256kB 6*512kB 0*1024kB 3*2048kB 689*4096kB = 2850836kB
Aug 21 07:58:35 localhost kernel:<4>11141 total pagecache pages
Aug 21 07:58:35 localhost kernel:<4>0 pages in swap cache
Aug 21 07:58:35 localhost kernel:<4>Swap cache stats: add 0, delete 0, find 0/0
Aug 21 07:58:35 localhost kernel:<4>Free swap  = 2996080kB
Aug 21 07:58:35 localhost kernel:<4>Total swap = 2996080kB
Aug 21 07:58:35 localhost kernel:<6>785765 pages RAM
Aug 21 07:58:35 localhost kernel:<6>23779 pages reserved
Aug 21 07:58:35 localhost kernel:<6>10141 pages shared
Aug 21 07:58:35 localhost kernel:<6>44269 pages non-shared
Aug 21 07:58:35 localhost kernel:<3>Out of memory: kill process 2242 (setroubleshootd) score 62323 or a child
Aug 21 07:58:35 localhost kernel:<3>Killed process 2242 (setroubleshootd)
Aug 21 07:58:35 localhost kernel:<4>NetworkManager invoked oom-killer: gfp_mask=0x40d1, order=0, oomkilladj=0
Aug 21 07:58:35 localhost kernel:<4>Pid: 2215, comm: NetworkManager Not tainted 2.6.27-0.244.rc2.git1.fc10.x86_64 #1
Aug 21 07:58:35 localhost kernel:<4>

Expected results:
Firmware should be loaded and NetworkManager should work. 

Additional info:
lspci:
02:00.0 Network controller: Intel Corporation Device 4232


Best regards.
Comment 1 Edouard Bourguignon 2008-08-29 08:21:02 EDT
Hello, any news?
I've just test Ubuntu IntrepidIbex with their new 2.6.27 kernel and it works. I hope it will work soon on Fedora.
Comment 2 John W. Linville 2008-08-29 11:04:13 EDT
Just discussing this w/ the Intel guys yesterday.  There is a simple fix, but they allude to some other patch that is more elaborate.  I'll probably merge the simple one as a fix "soon" if I don't get something better from them.
Comment 3 Edouard Bourguignon 2008-08-30 11:40:11 EDT
Thank you John for the information. I assume the ubuntu kernel team has merged the simple fix to their kernel (don't know how to check that), and after a couple of days using it, I can say it seems to be pretty stable. But I understand you prefer to wait for a more elaborated patch. Anyway, i'll be there to test the fix as soon as there is a rpm (if it could be of any help).
Comment 4 John W. Linville 2008-09-02 15:08:43 EDT
I'm merging a simple fix upstream.  Hopefully it will make it to rawhide this week...thanks!

Note You need to log in before you can comment on or make changes to this bug.